doctype html
html
  head
    block headers
    meta(httpEquiv="Content-Type", content="text/html; charset=UTF-8")
    meta(name="viewport", content="width=device-width, initial-scale=1, shrink-to-fit=no")
    link(rel="icon", type="image/png", href="/favicon-32x32.png")
    link(rel="shortcut icon", href="favicon-96x96.png")
    link(rel="alternate", type="application/rss+xml", title="RSS", href="/feed.rss")
    each s in [57, 114, 72, 144, 60, 120, 76, 152]
      link(rel="apple-touch-icon", type="image/png", href=`/favicon-${s}x${s}.png`, sizes=`${s}x${s}`)
    each s in [16, 32, 96, 128, 160, 196]
      link(rel="icon", type="image/png", href=`/favicon-${s}x${s}.png`, sizes=`${s}x${s}`)
    meta(name="theme-color", content="#eaeaea")
    if (config.fbAppId)
      meta(property="fb:app_id", content=config.fbAppId)
    if (config.fbPagesId)
      meta(property="fb:pages", content=config.fbPagesId)
    link(rel="stylesheet", type="text/css", href=`/css/style.css?v=${config.version}`)
    if (config.googleAnalyticsId)
      script(async=true, src="https://www.googletagmanager.com/gtag/js?id=UA-100365379-1")
      script.
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());
        gtag('config', '#{config.googleAnalyticsId}');
    else
      script(type="text/javascript").
        function gtag(){ console.log(arguments); }
    script(type="text/javascript", src="/app.js")
    if (config.oneSignalAppId)
      link(rel="manifest", href="/manifest.json")
      script(src="https://cdn.onesignal.com/sdks/OneSignalSDK.js", async=true)
      script.
        var OneSignal = window.OneSignal || [];
        OneSignal.push(["init", {
          appId: "#{config.oneSignalAppId}",
          autoRegister: false,
          notifyButton: {
            enable: true,
            colors: {
              'circle.background': '#FF00A6',
              'circle.foreground': 'white',
              'badge.background': '#FF00A6',
              'badge.foreground': 'white',
              'badge.bordercolor': 'white',
              'pulse.color': '#CE00FF',
              'dialog.button.background.hovering': '#FF00A6',
              'dialog.button.background.active': '#FF00A6',
              'dialog.button.background': '#CE00FF',
              'dialog.button.foreground': 'white'
            }
          }
        }]);

  body(class=(config.production?"":"dev"))
    nav.navbar.navbar-default.bg-faded.navbar-fixed-top.navbar-inverse
      div.container-fluid
        div.navbar-header
          button(type="button", class="navbar-toggle collapsed", data-toggle="collapse", data-target="#navbar", aria-expanded="false")
            span.sr-only Toggle navigation
            span.icon-bar
            span.icon-bar
            span.icon-bar
          a.navbar-brand(href="/index.html")
            img(src="/logo.png", alt=config.siteName)
        div#navbar.collapse.navbar-collapse
          ul.nav.navbar-nav
            li
              a.category-link(href=`/index.html`) News
            each cat in categories
              li
                a.category-link(href=`/category/${cat.key}.html`)= cat.title
    //- end nav
    div.jumbotron
      .container
        p.text-center This is a demonstration of #[a(href="http://juga.io", target="_blank") our interactive content creation and publishing platform].
        p.text-center
          a.btn.btn-primary.btn-lg(href="mailto:contact@juga.io") Contact us

    div.page-container
      //- cookie info
      div.page-layout
        div.page-content-column
          div.page-column-content
            block content
        div.page-extra-column
          div.page-column-content
            h3= i18n.topItems
            each item in topItems
              p: a.link-contents(href=`/item/${item.itemId}.html`)= item.title

    footer
      div.container-fluid
        div.footer-links
          a.link-ft(href=`mailto:${config.contactEmail}`) Contatti
          a.link-ft(href="/info/cookie.html") Cookie
          a.link-ft(href="/info/privacy.html") Privacy
          a.link-ft(href="/info/terms.html") Termini e condizioni

    script(type="text/javascript", src="/components/jquery/jquery.min.js")
    script(type="text/javascript", src="/components/bootstrap/javascripts/bootstrap.min.js")
    script(type="text/javascript", src=(config.production ?
      "//cdnjs.cloudflare.com/ajax/libs/snap.svg/0.5.1/snap.svg-min.js":
      "/components/snapsvg/snap.svg-min.js"
    ))
    script(type="text/javascript", src=`//s7.addthis.com/js/300/addthis_widget.js#pubid=${config.addthisProfileId}`)
    script(type="text/javascript").
      (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
      (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
      m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
      })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');
      ga('create', '#{config.googleAnalyticsId}', 'auto');
      // ga('send', 'pageview');
    block extraScripts
